html,
body {
  height: 100%;
}

body {
  /*background: #09f;*/
  /*background-image: url('data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4gPHN2ZyB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGRlZnM+PGxpbmVhckdyYWRpZW50IGlkPSJncmFkIiBncmFkaWVudFVuaXRzPSJvYmplY3RCb3VuZGluZ0JveCIgeDE9IjAuNSIgeTE9IjEuMCIgeDI9IjAuNSIgeTI9IjAuMCI+PHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzAwOTlmZiIvPjxzdG9wIG9mZnNldD0iMTAwJSIgc3RvcC1jb2xvcj0iIzQ1ZDFmZiIvPjwvbGluZWFyR3JhZGllbnQ+PC9kZWZzPjxyZWN0IHg9IjAiIHk9IjAiIHdpZHRoPSIxMDAlIiBoZWlnaHQ9IjEwMCUiIGZpbGw9InVybCgjZ3JhZCkiIC8+PC9zdmc+IA==');*/
  background-size: 100%;
  background-image: -webkit-gradient(linear, 50% 100%, 50% 0%, color-stop(0%, #0099ff), color-stop(100%, #45d1ff));
  background-image: -moz-linear-gradient(bottom, #0099ff, #45d1ff);
  background-image: -webkit-linear-gradient(bottom, #0099ff, #45d1ff);
  background-image: linear-gradient(to top, #0099ff, #45d1ff);
}

.bubble-toggle {
  position: absolute;
  top: 10px;
  right: 10px;
  padding: 10px;
  background: rgba(255, 255, 255, 0.5);
  font-family: sans-serif;
  font-size: 13px;
  color: #333;
}
.bubble-toggle:hover {
  background: rgba(255, 255, 255, 0.75);
}

.bubbles {
  position: absolute;
  overflow: hidden;
  width: 100%;
  height: 105%;
  margin: 0 auto;
  top: 0;
}

.bubble-container {
  position: absolute;
  bottom: 0;
  will-change: transform;
  -webkit-animation: bubblerise 4s infinite ease-in;
  -moz-animation: bubblerise 4s infinite ease-in;
  -ms-animation: bubblerise 4s infinite ease-in;
  animation: bubblerise 4s infinite ease-in;
  filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
  opacity: 0;
}

.bubble {
  width: 6px;
  height: 6px;
  margin: 0 auto;
  border: 1px solid rgba(255, 255, 255, 0.5);
  background: rgba(255, 255, 255, 0.25);
  will-change: transform;
  -moz-border-radius: 0px;
  -webkit-border-radius: 0px;
  border-radius: 0px;
  -webkit-animation: bubblewobble 48.4s infinite linear;
  -moz-animation: bubblewobble 48.4s infinite linear;
  -ms-animation: bubblewobble 48.4s infinite linear;
  animation: bubblewobble 48.4s infinite linear;
}

@-webkit-keyframes bubblerise {
  0% {
    bottom: 0;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
  }
  5% {
    bottom: 0;
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
  }
  99% {
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
  }
  100% {
    bottom: 100%;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
  }
}
@-moz-keyframes bubblerise {
  0% {
    bottom: 0;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
  }
  5% {
    bottom: 0;
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
  }
  99% {
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
  }
  100% {
    bottom: 100%;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
  }
}
@-ms-keyframes bubblerise {
  0% {
    bottom: 0;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
  }
  5% {
    bottom: 0;
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
  }
  99% {
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
  }
  100% {
    bottom: 100%;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
  }
}
@keyframes bubblerise {
  0% {
    bottom: 0;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
  }
  5% {
    bottom: 0;
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
  }
  99% {
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
  }
  100% {
    bottom: 100%;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
  }
}
/*RotaÇão*/
@-webkit-keyframes bubblewobble {
  0% {
    -webkit-transform:scale(1) rotate(0deg);
    -moz-transform:scale(1) rotate(0deg);
    -o-transform:scale(1) rotate(0deg);
    transform:scale(1) rotate(0deg);
  }
  50% {
    -webkit-transform:scale(1) rotate(360deg);
    -moz-transform:scale(1) rotate(360deg);
    -o-transform:scale(1) rotate(360deg);
    transform:scale(1) rotate(360deg);
  }
  99%{
    -webkit-transform:scale(1) rotate(0deg);
    -moz-transform:scale(1) rotate(0deg);
    -o-transform:scale(1) rotate(0deg);
    transform:scale(1) rotate(0deg);
  }
}
@-moz-keyframes bubblewobble {
  0% {
    -webkit-transform:scale(1) rotate(0deg);
    -moz-transform:scale(1) rotate(0deg);
    -o-transform:scale(1) rotate(0deg);
    transform:scale(1) rotate(0deg);
  }
  50% {
    -webkit-transform:scale(1) rotate(360deg);
    -moz-transform:scale(1) rotate(360deg);
    -o-transform:scale(1) rotate(360deg);
    transform:scale(1) rotate(360deg);
  }
  99%{
    -webkit-transform:scale(1) rotate(0deg);
    -moz-transform:scale(1) rotate(0deg);
    -o-transform:scale(1) rotate(0deg);
    transform:scale(1) rotate(0deg);
  }
}
@-ms-keyframes bubblewobble {
  0% {
    -webkit-transform:scale(1) rotate(0deg);
    -moz-transform:scale(1) rotate(0deg);
    -o-transform:scale(1) rotate(0deg);
    transform:scale(1) rotate(0deg);
  }
  50% {
    -webkit-transform:scale(1) rotate(360deg);
    -moz-transform:scale(1) rotate(360deg);
    -o-transform:scale(1) rotate(360deg);
    transform:scale(1) rotate(360deg);
  }
  99%{
    -webkit-transform:scale(1) rotate(0deg);
    -moz-transform:scale(1) rotate(0deg);
    -o-transform:scale(1) rotate(0deg);
    transform:scale(1) rotate(0deg);
  }
}
@keyframes bubblewobble {
  0% {
    -webkit-transform:scale(1) rotate(0deg);
    -moz-transform:scale(1) rotate(0deg);
    -o-transform:scale(1) rotate(0deg);
    transform:scale(1) rotate(0deg);
  }
  50% {
    -webkit-transform:scale(1) rotate(360deg);
    -moz-transform:scale(1) rotate(360deg);
    -o-transform:scale(1) rotate(360deg);
    transform:scale(1) rotate(360deg);
  }
  99%{
    -webkit-transform:scale(1) rotate(0deg);
    -moz-transform:scale(1) rotate(0deg);
    -o-transform:scale(1) rotate(0deg);
    transform:scale(1) rotate(0deg);
  }
}
